# $RCSfile: win32.mak,v $ 
# $Revision: 1.1 $ $Date: 2003/03/26 20:48:36 $ 
# Auth: David Loffredo (loffredo@steptools.com)
#
# STIX Sample Win32 Makefile 
#
!include $(ROSE_CONFIG)

EXECS = \
	show_feature.exe


# libraries built and installed by this package
STIX_CFLAGS	= -I"$(ROSE_INCLUDE)"\stix
STIX_LIBS 	= "$(ROSE_LIB)"\stix.lib

# Set these to the compiler flags and directives for all packages.
# These are used by the CXX_COMPILE and CX_LINK C++ compile and link
# macros.
#
CXX_CFLAGS 	= $(ROSE_CFLAGS) $(STIX_CFLAGS)
CXX_LDFLAGS 	= $(ROSE_LDFLAGS)

LIBRARIES 	= $(STIX_LIBS) $(ROSE_LIBS) $(CXX_SYSLIBS)

#========================================
# Standard Symbolic Targets
#
default: $(EXECS)
install: default

clean: 
	$(RM) *.exe
	$(RM) *.obj
	$(RM) *.lib

very-clean: clean
spotless: very-clean

#========================================
# Executables and other targets
#

show_feature.exe: show_feature$o
	$(CXX_LINK) /out:$@ show_feature$o $(LIBRARIES)
